## python-subunit2sql 1.8.0

=== requirements.txt ===
alembic>=0.4.1
oslo.config>=1.4.0.0a3
oslo.db>=2.1.0
pbr>=1.0.0
python-subunit>=0.0.18
six>=1.5.2
SQLAlchemy>=0.8.2
stevedore>=1.3.0
python-dateutil>=2.4.2

=== debian/changelog ===
python-subunit2sql (1.8.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 20:44:27 +0000

python-subunit2sql (1.8.0-4) unstable; urgency=medium

  * d/control: Add missing BD on python{3,}-testresources. (Closes: #881702).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Nov 2017 15:02:43 +0100

python-subunit2sql (1.8.0-3) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (Closes: #878463).
  * Capitalize API in long desc.
  * Standards-Version is now 4.1.1.
  * Removed privacy breach in docs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2017 05:31:05 +0200

python-subunit2sql (1.8.0-2) unstable; urgency=medium

  * Add missing files in subunit2sql/migrations/*.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Sep 2017 21:49:27 +0000

python-subunit2sql (1.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #876412)

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2017 22:44:12 +0200

=== debian/control ===
Source: python-subunit2sql
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 alembic,
 python-alembic,
 python-coverage,
 python-dateutil,
 python-fixtures,
 python-hacking,
 python-mock,
 python-os-testr,
 python-oslo.concurrency,
 python-oslo.config,
 python-oslo.db,
 python-oslosphinx,
 python-pbr,
 python-psycopg2,
 python-pymysql,
 python-reno,
 python-six,
 python-sqlalchemy,
 python-stevedore,
 python-testresources,
 python-testscenarios,
 python-testtools,
 python3-alembic,
 python3-dateutil,
 python3-fixtures,
 python3-mock,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-subunit2sql
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-subunit2sql.git
Homepage: https://github.com/openstack-infra/subunit2sql

Package: python-subunit2sql
Architecture: all
Depends:
 alembic,
 python-alembic,
 python-dateutil,
 python-oslo.config,
 python-oslo.db,
 python-pbr,
 python-six,
 python-sqlalchemy,
 python-stevedore,
 subunit,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-subunit2sql-doc,
Description: subunit file/stream to DB - Python 2.7
 subunit2SQL is a tool for storing test results data in a SQL database. Like
 it's name implies it was originally designed around converting subunit streams
 to data in a SQL database and the packaged utilities assume a subunit stream
 as the input format. However, the data model used for the DB does not preclude
 using any test result format. Additionally the analysis tooling built on top
 of a database is data format agnostic. However if you choose to use a
 different result format as an input for the database additional tooling using
 the DB API would need to be created to parse a different test result output
 format. It's also worth pointing out that subunit has several language library
 bindings available. So as a user you could create a small filter to convert a
 different format to subunit. Creating a filter should be fairly easy and then
 you don't have to worry about writing a tool like :ref:`subunit2sql` to use a
 different format.
 .
 For multiple distributed test runs that are generating subunit output it is
 useful to store the results in a unified repository. This is the motivation for
 the testrepository project which does a good job for centralizing the results
 from multiple test runs.
 .
 However, imagine something like the OpenStack CI system where the same basic
 test suite is normally run several hundreds of times a day. To provide useful
 introspection on the data from those runs and to build trends over time the
 test results need to be stored in a format that allows for easy querying.
 Using a SQL database makes a lot of sense for doing this, which was the
 original motivation for the project.
 .
 At a high level subunit2SQL uses alembic migrations to setup a DB schema that
 can then be used by the subunit2sql tool to parse subunit streams and populate
 the DB. Then there are tools for interacting with the stored data in the
 subunit2sql-graph command as well as the sql2subunit command to create a
 subunit stream from data in the database. Additionally, subunit2sql provides a
 Python DB API that can be used to query information from the stored data to
 build other tooling.
 .
 This package contains the Python 2.7 module.

Package: python-subunit2sql-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: subunit file/stream to DB - doc
 subunit2SQL is a tool for storing test results data in a SQL database. Like
 it's name implies it was originally designed around converting subunit streams
 to data in a SQL database and the packaged utilities assume a subunit stream
 as the input format. However, the data model used for the DB does not preclude
 using any test result format. Additionally the analysis tooling built on top
 of a database is data format agnostic. However if you choose to use a
 different result format as an input for the database additional tooling using
 the DB API would need to be created to parse a different test result output
 format. It's also worth pointing out that subunit has several language library
 bindings available. So as a user you could create a small filter to convert a
 different format to subunit. Creating a filter should be fairly easy and then
 you don't have to worry about writing a tool like :ref:`subunit2sql` to use a
 different format.
 .
 For multiple distributed test runs that are generating subunit output it is
 useful to store the results in a unified repository. This is the motivation for
 the testrepository project which does a good job for centralizing the results
 from multiple test runs.
 .
 However, imagine something like the OpenStack CI system where the same basic
 test suite is normally run several hundreds of times a day. To provide useful
 introspection on the data from those runs and to build trends over time the
 test results need to be stored in a format that allows for easy querying.
 Using a SQL database makes a lot of sense for doing this, which was the
 original motivation for the project.
 .
 At a high level subunit2SQL uses alembic migrations to setup a DB schema that
 can then be used by the subunit2sql tool to parse subunit streams and populate
 the DB. Then there are tools for interacting with the stored data in the
 subunit2sql-graph command as well as the sql2subunit command to create a
 subunit stream from data in the database. Additionally, subunit2sql provides a
 Python DB API that can be used to query information from the stored data to
 build other tooling.
 .
 This package contains the documentation.

Package: python3-subunit2sql
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-dateutil,
 python3-oslo.config,
 python3-oslo.db,
 python3-pbr,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 subunit,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-subunit2sql-doc,
Description: subunit file/stream to DB - Python 3.x
 subunit2SQL is a tool for storing test results data in a SQL database. Like
 it's name implies it was originally designed around converting subunit streams
 to data in a SQL database and the packaged utilities assume a subunit stream
 as the input format. However, the data model used for the DB does not preclude
 using any test result format. Additionally the analysis tooling built on top
 of a database is data format agnostic. However if you choose to use a
 different result format as an input for the database additional tooling using
 the DB API would need to be created to parse a different test result output
 format. It's also worth pointing out that subunit has several language library
 bindings available. So as a user you could create a small filter to convert a
 different format to subunit. Creating a filter should be fairly easy and then
 you don't have to worry about writing a tool like :ref:`subunit2sql` to use a
 different format.
 .
 For multiple distributed test runs that are generating subunit output it is
 useful to store the results in a unified repository. This is the motivation for
 the testrepository project which does a good job for centralizing the results
 from multiple test runs.
 .
 However, imagine something like the OpenStack CI system where the same basic
 test suite is normally run several hundreds of times a day. To provide useful
 introspection on the data from those runs and to build trends over time the
 test results need to be stored in a format that allows for easy querying.
 Using a SQL database makes a lot of sense for doing this, which was the
 original motivation for the project.
 .
 At a high level subunit2SQL uses alembic migrations to setup a DB schema that
 can then be used by the subunit2sql tool to parse subunit streams and populate
 the DB. Then there are tools for interacting with the stored data in the
 subunit2sql-graph command as well as the sql2subunit command to create a
 subunit stream from data in the database. Additionally, subunit2sql provides a
 Python DB API that can be used to query information from the stored data to
 build other tooling.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://git.openstack.org/openstack-infra/subunit2sql
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'subunit2sql\.tests\.(?!.*test_shell\.TestProcessResults\.test_process_results_no_results.*)'
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-subunit2sql-doc/usr/share/doc/python-subunit2sql-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-subunit2sql 1.10.0

=== requirements.txt ===
pbr>=2.0.0,!=2.1.0
alembic>=0.8.10
oslo.config>=4.0.0
oslo.db>=4.24.0
python-subunit>=0.0.18
six>=1.9.0
SQLAlchemy>=1.0.10,!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8
stevedore>=1.20.0
python-dateutil>=2.4.2

=== debian/changelog ===
python-subunit2sql (1.10.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Skip tests: tests.test_shell.TestMain.test_main fix FTBFS (Closes: #963368)

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jun 2020 10:48:33 +0200

python-subunit2sql (1.10.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist TestWalkMigrations.test_sqlite_opportunistically(), which
    looks broken.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:32:18 +0200

python-subunit2sql (1.10.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 21:53:25 +0100

python-subunit2sql (1.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed remove-privacy-branch-in-docs.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 00:27:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,118 +1,43 @@
 Source: python-subunit2sql
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-setuptools,
- python-sphinx,
  python3-all,
+ python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  alembic,
- python-alembic,
- python-coverage,
- python-dateutil,
- python-fixtures,
- python-hacking,
- python-mock,
- python-os-testr,
- python-oslo.concurrency,
- python-oslo.config,
- python-oslo.db,
- python-oslosphinx,
- python-pbr,
- python-psycopg2,
- python-pymysql,
- python-reno,
- python-six,
- python-sqlalchemy,
- python-stevedore,
- python-testresources,
- python-testscenarios,
- python-testtools,
  python3-alembic,
+ python3-coverage,
  python3-dateutil,
  python3-fixtures,
+ python3-hacking,
  python3-mock,
- python3-os-testr,
+ python3-openstackdocstheme,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.db,
- python3-pbr,
  python3-psycopg2,
  python3-pymysql,
  python3-six,
  python3-sqlalchemy,
+ python3-stestr,
  python3-stevedore,
  python3-testresources,
  python3-testscenarios,
  python3-testtools,
  subunit,
- testrepository,
-Standards-Version: 4.1.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-subunit2sql
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-subunit2sql.git
 Homepage: https://github.com/openstack-infra/subunit2sql
-
-Package: python-subunit2sql
-Architecture: all
-Depends:
- alembic,
- python-alembic,
- python-dateutil,
- python-oslo.config,
- python-oslo.db,
- python-pbr,
- python-six,
- python-sqlalchemy,
- python-stevedore,
- subunit,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-subunit2sql-doc,
-Description: subunit file/stream to DB - Python 2.7
- subunit2SQL is a tool for storing test results data in a SQL database. Like
- it's name implies it was originally designed around converting subunit streams
- to data in a SQL database and the packaged utilities assume a subunit stream
- as the input format. However, the data model used for the DB does not preclude
- using any test result format. Additionally the analysis tooling built on top
- of a database is data format agnostic. However if you choose to use a
- different result format as an input for the database additional tooling using
- the DB API would need to be created to parse a different test result output
- format. It's also worth pointing out that subunit has several language library
- bindings available. So as a user you could create a small filter to convert a
- different format to subunit. Creating a filter should be fairly easy and then
- you don't have to worry about writing a tool like :ref:`subunit2sql` to use a
- different format.
- .
- For multiple distributed test runs that are generating subunit output it is
- useful to store the results in a unified repository. This is the motivation for
- the testrepository project which does a good job for centralizing the results
- from multiple test runs.
- .
- However, imagine something like the OpenStack CI system where the same basic
- test suite is normally run several hundreds of times a day. To provide useful
- introspection on the data from those runs and to build trends over time the
- test results need to be stored in a format that allows for easy querying.
- Using a SQL database makes a lot of sense for doing this, which was the
- original motivation for the project.
- .
- At a high level subunit2SQL uses alembic migrations to setup a DB schema that
- can then be used by the subunit2sql tool to parse subunit streams and populate
- the DB. Then there are tools for interacting with the stored data in the
- subunit2sql-graph command as well as the sql2subunit command to create a
- subunit stream from data in the database. Additionally, subunit2sql provides a
- Python DB API that can be used to query information from the stored data to
- build other tooling.
- .
- This package contains the Python 2.7 module.
 
 Package: python-subunit2sql-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://git.openstack.org/openstack-infra/subunit2sql
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'subunit2sql\.tests\.(?!.*test_shell\.TestProcessResults\.test_process_results_no_results.*|.*migrations\.test_migrations\.TestWalkMigrations\.test_sqlite_opportunistically.*|.*test_shell\.TestMain\.test_main.*)'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-subunit2sql-doc/usr/share/doc/python-subunit2sql-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/subunit2sql/subunit2sql-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
